# $Id: smeserver-ejabberd.spec,v 1.2 2008/05/21 20:10:23 snetram Exp $
# Authority: gnujpl
# Name: Jean-Paul Leclère

Summary: SME Server ejabberd Jabber service
%define name smeserver-ejabberd
Name: %{name}
%define version 2.0.0
%define release 3

Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-ejabberd-2.0.0-locale-2008-05-21.patch
Patch1: %{name}-%{version}-removeOpt.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.7.5
Requires: ejabberd = 2.0.0
Obsoletes: e-smith-jabber
AutoReqProv: no

%changelog
* Thu May 22 2008 Jean-Paul Leclere <jean-paul@leclere.org> 2.0.0-3
- no more use /opt 
- use SME server ssl certs
- db migrate process

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.0-2
- Apply 21 May 2008 locale patch

* Wed May 14 2008 Jean-Paul Leclere <jean-paul@leclere.org> 2.0.0-1
- bump to ejabberd 2.0.0 
- no more contains ejabberd Process-One binary installer (due to GPL violation)
- use smecontribs ejabberd rpm

* Thu Apr 24 2008 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-5
- convert fr locale to UTF-8

* Wed Oct 17 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-5
- fix another bug for starttls in ejabberd.cfg template

* Tue Oct 16 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-4
- fix bug for starttls in ejabberd.cfg template

* Sun Oct 14 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-3
- modify ejabberd.cfg template for ejabberd services add-ons

* Sat Oct 6 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-2
- fix bug in ejabberd.cfg template for users acls
- add more ejabberd restarting events
- add more ejabberd.cfg generation events

* Sun Sep 30 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-1
- Initial Release with ejabberd 1.1.4

%description
SME Server implementation of ejabberd XMPP server

%pre

%preun
if [ $1 -eq 0 ]; then
# remove, not upgrade
/sbin/e-smith/db configuration delete ejabberd
/sbin/e-smith/db configuration delete ejabberd.init
/usr/bin/sv down /service/ejabberd
/usr/lib/erlang/bin/epmd -kill
cd /service/ejabberd
rm /service/ejabberd
/usr/bin/sv exit . log
fi
exit 0

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir '/var/service/ejabberd' 'attr(1755,root,root)' \
    --file '/var/service/ejabberd/down' 'attr(0644,root,root)' \
    --file '/var/service/ejabberd/run' 'attr(0755,root,root)' \
    --dir '/var/service/ejabberd/supervise' 'attr(0700,root,root)' \
    --dir '/var/service/ejabberd/log' 'attr(1755,root,root)' \
    --file '/var/service/ejabberd/log/run' 'attr(0755,root,root)' \
    --dir '/var/service/ejabberd/log/supervise' 'attr(0700,root,root)' \
    --dir '/var/log/ejabberd' 'attr(0750,ejabberd,ejabberd)' \
    --dir '/var/log/ejabberd.run' 'attr(0750,smelog,root)' \
    --ignoredir '/opt/ejabberd/database/ejabberd' \
    --ignoredir '/opt/ejabberd/database' \
    --ignoredir '/opt/ejabberd/conf/ssl.pem' \
    --ignoredir '/opt/ejabberd/conf' \
    --ignoredir '/opt/ejabberd' \
    --ignoredir '/opt' \
     > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files -f %{name}-%{version}-%{release}-filelist 
%defattr(-,root,root)
